LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XScriptProviderSupplier Interface Reference

This interface allows to get the scripting provider related to the object. More...

`import <XScriptProviderSupplier.idl;`

Inheritance diagram for XScriptProviderSupplier:

## Public Member Functions
XScriptProvider | getScriptProvider ()
| returns scripting provider related to the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This interface allows to get the scripting provider related to the object.

## Member Function Documentation

## ◆ getScriptProvider()

XScriptProvider getScriptProvider | ( |  | ) |

returns scripting provider related to the object.

Returns
  an object implementing com::sun::star::script::provider::XScriptProvider representing the script provider

The documentation for this interface was generated from the following file:

- com/sun/star/script/provider/XScriptProviderSupplier.idl